Skip to main content

Figure Markets High Frequency Trading Exchange Partner API (1.0)

Download OpenAPI specification:Download

Accounts

Generate an mpc deposit address for crypto

Authorizations:
PartnerAuth
Request Body schema: application/json
required
denom
required
string

Asset to deposit (eg. BTC)

Responses

Request samples

Content type
application/json
{
  • "denom": "string"
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "recipientAddress": "string",
  • "depositAddress": "string",
  • "b64PngDepositAddressQrCode": "string",
  • "denom": "string"
}

Initiate a withdraw

Authorizations:
PartnerAuth
Request Body schema: application/json
required
uuid
string <uuid>

Unique id for the withdrawal, Automatically generated if not sent.

denom
required
string

Asset to withdraw

amount
required
string

Amount to be withdrawn

recipientAddress
string

Address to send uncommitted asset to. Only for security entitlements

memo
string

Optional memo for withdrawing certain assets to networks that support it

Responses

Request samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "denom": "string",
  • "amount": "string",
  • "recipientAddress": "string",
  • "memo": "string"
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "fee": "string"
}

Initiate a USD wire withdraw from the exchange

Authorizations:
PartnerAuth
Request Body schema: application/json
required
uuid
string <uuid>

Unique id for the withdrawal, Automatically generated if not sent.

amount
required
number
wireAccountId
required
string <uuid>

Responses

Request samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "amount": 0,
  • "wireAccountId": "c1dfbeab-91e3-4c01-bb87-f631c954a0bc"
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "recipientAddress": "string",
  • "amount": "string",
  • "currency": "string",
  • "status": "UNKNOWN_WITHDRAW_STATUS",
  • "fee": "string",
  • "memo": "string"
}

Initiate manual commitment of a native Provenance asset for a market maker

Authorizations:
PartnerAuth
Request Body schema: application/json
required
denom
required
string

The denom display name, e.g. hash

amount
required
number

The amount in terms of the display quantity to commit, e.g. 0.1 hash

Responses

Request samples

Content type
application/json
{
  • "denom": "string",
  • "amount": 0
}

Response samples

Content type
application/json
"string"

Gets a list of historical transfers for the current wallet

Authorizations:
PartnerAuth
query Parameters
actions
Array of strings (TransferAction)
Items Enum: "DEPOSIT" "WITHDRAW" "INTEREST" "REFUND" "RETURN" "REWARD" "ISSUANCE" "RECEIVE_YLDS_PAYMENT" "P2P" "CBL_DISBURSEMENT" "CBL_PAYMENT" "REPAYMENT_TRANSFER" "MARGIN" "NMS_SEND" "NMS_RECEIVE" "SEND" "RECEIVE" "SEND_COLLATERAL" "RECEIVE_COLLATERAL"
assets
Array of strings
page
integer <int32>
size
integer <int32>

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "pagination": {
    }
}

Get portfolio balances for an account

Get current portfolio balances, or balances at a specified time.

Authorizations:
PartnerAuth
query Parameters
atTime
string <date-time>

Responses

Response samples

Content type
application/json
{
  • "accountAddress": "string",
  • "totalValue": 0,
  • "timestamp": "2019-08-24T14:15:22Z",
  • "assets": [
    ],
  • "loans": [
    ],
  • "offers": [
    ],
  • "scLending": [
    ],
  • "cryptoBackedLoans": [
    ]
}

Get the list of wire accounts associated with the partner address

Authorizations:
PartnerAuth
query Parameters
limit
integer <int32>
offset
integer <int64>

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "limit": 0,
  • "count": 0,
  • "nextOffset": 0
}

Get market positions for an account Deprecated

Replace with call to /balances

Authorizations:
PartnerAuth

Responses

Response samples

Content type
application/json
{
  • "totalPortfolioBalance": "string",
  • "totalPortfolioValue": "string",
  • "cashEquivalentBalance": "string",
  • "assetBalance": "string",
  • "totalAssetValue": "string",
  • "marketPositions": [
    ],
  • "cashEquivalentPositions": [
    ],
  • "uncommittedAssets": [
    ],
  • "uncommittedCashEquivalents": [
    ],
  • "assetPositions": [
    ],
  • "totalLoanValue": "string",
  • "loanBalances": [
    ],
  • "totalOfferValue": "string",
  • "offerBalances": [
    ],
  • "ltv": 0,
  • "cryptoBackedLoanValue": 0,
  • "cryptoBackedLoanBalances": [
    ]
}

Gets a list of historical transfers for the current wallet Deprecated

Use v2, which introduces SEND, RECEIVE, SEND_COLLATERAL, RECEIVE_COLLATERAL

Authorizations:
PartnerAuth
query Parameters
actions
Array of strings (TransferAction)
Items Enum: "DEPOSIT" "WITHDRAW" "INTEREST" "REFUND" "RETURN" "REWARD" "ISSUANCE" "RECEIVE_YLDS_PAYMENT" "P2P" "CBL_DISBURSEMENT" "CBL_PAYMENT" "REPAYMENT_TRANSFER" "MARGIN" "NMS_SEND" "NMS_RECEIVE" "SEND" "RECEIVE" "SEND_COLLATERAL" "RECEIVE_COLLATERAL"
assets
Array of strings
page
integer <int32>
size
integer <int32>

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "pagination": {
    }
}

Get portfolio balances for an account Deprecated

Use v2

Authorizations:
PartnerAuth

Responses

Response samples

Content type
application/json
{
  • "accountAddress": "string",
  • "totalValue": 0,
  • "assets": [
    ],
  • "loans": [
    ],
  • "offers": [
    ],
  • "scLending": [
    ],
  • "cryptoBackedLoans": [
    ]
}

Margin Trading

Make a loan payment

Authorizations:
PartnerAuth
Request Body schema: application/json
required
id
required
string <uuid>

Client generated unique payment id

leveragePoolId
required
string <uuid>
amount
required
number

Responses

Request samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "leveragePoolId": "3229a80e-6400-4afe-a15e-c4b4652ff574",
  • "amount": 0
}

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "asset": "string",
  • "leveragePoolId": "3229a80e-6400-4afe-a15e-c4b4652ff574",
  • "amount": 0,
  • "status": "PENDING"
}

Take out a new margin loan

Authorizations:
PartnerAuth
Request Body schema: application/json
required
id
required
string <uuid>

Client generated unique loan id

amount
required
number > 0
leveragePoolId
required
string <uuid>
loanType
required
string (LoanType)
Default: "MARGIN"
Enum: "MARGIN" "OFF_PLATFORM_MARGIN"

Type of loan to create

object (WithdrawRequest)

Optional MPC withdraw request for off platform loan

object (FiatWithdrawRequest)

Optional fiat withdraw request for off platform loan

Responses

Request samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "amount": 0,
  • "leveragePoolId": "3229a80e-6400-4afe-a15e-c4b4652ff574",
  • "loanType": "MARGIN",
  • "withdrawRequest": {
    },
  • "fiatWithdrawRequest": {
    }
}

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "rate": {
    }
}

Get current margin trading status

Authorizations:
PartnerAuth

Responses

Response samples

Content type
application/json
{
  • "isMarginEnabledForUser": true,
  • "isOffPlatformMarginEnabledForUser": true,
  • "leveragePoolIds": [
    ],
  • "isAvailable": true,
  • "isAutopayEnabled": true
}

enable margin for an account

Authorizations:
PartnerAuth
Request Body schema: application/json
required
location
required
string (com.figuremarkets.exchange.proto.hft.Markets.Market.MarketLocation)
Enum: "UNKNOWN_MARKET_LOCATION" "US" "CAYMAN" "IRELAND"
consentType
string (ConsentType)
Enum: "TRADING_CONSENT" "DOMESTIC_MARGIN_CONSENT" "INTERNATIONAL_MARGIN_CONSENT" "DOMESTIC_OFF_PLATFORM_MARGIN_CONSENT" "INTERNATIONAL_OFF_PLATFORM_MARGIN_CONSENT" "CAYMAN_EXEMPTION_CONSENT" "LENDER_CONSENT" "REFERRAL_CONSENT" "TRADER_API_CONSENT" "DEMOCRATIZED_PRIME_BORROWER_CONSENT"

Responses

Request samples

Content type
application/json
{
  • "location": "UNKNOWN_MARKET_LOCATION",
  • "consentType": "TRADING_CONSENT"
}

Response samples

Content type
application/json
{
  • "accountAddress": "string",
  • "location": "UNKNOWN_MARKET_LOCATION",
  • "leveragePoolIds": [
    ],
  • "status": "ACTIVE",
  • "isMarginEnabledForUser": true,
  • "isOffPlatformMarginEnabledForUser": true,
  • "isAutopayEnabled": true
}

disable margin trading for an account. This will not affect off-platform margin

Authorizations:
PartnerAuth

Responses

Response samples

Content type
application/json
{
  • "accountAddress": "string",
  • "location": "UNKNOWN_MARKET_LOCATION",
  • "leveragePoolIds": [
    ],
  • "status": "ACTIVE",
  • "isMarginEnabledForUser": true,
  • "isOffPlatformMarginEnabledForUser": true,
  • "isAutopayEnabled": true
}

Get paginated loan history

Authorizations:
PartnerAuth
query Parameters
size
integer <int32> [ 1 .. 50 ]
Default: 20
page
integer <int32> >= 1
Default: 1
leverage_pool_uuid
required
string <uuid>
period
string (PeriodSpan)
Enum: "HOUR" "DAY" "WEEK" "MONTH" "YEAR"

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "pagination": {
    }
}

fetch a loan payment

Authorizations:
PartnerAuth
path Parameters
id
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "asset": "string",
  • "leveragePoolId": "3229a80e-6400-4afe-a15e-c4b4652ff574",
  • "amount": 0,
  • "status": "PENDING"
}

Get outstanding loan balances

Authorizations:
PartnerAuth

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "ltv": 0,
  • "status": "HEALTHY",
  • "collateralValue": 0,
  • "loansValue": 0
}

Get past liquidations

Authorizations:
PartnerAuth
query Parameters
size
integer <int32> [ 1 .. 100 ]
Default: 20
page
integer <int32> >= 1
Default: 1

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "pagination": {
    }
}

getLeveragePools

Authorizations:
PartnerAuth
query Parameters
location
string (com.figuremarkets.exchange.proto.hft.Markets.Market.MarketLocation)
Enum: "UNKNOWN_MARKET_LOCATION" "US" "CAYMAN" "IRELAND"
type
string (LeveragePoolType)
Enum: "TERM" "TRADE" "HELOC" "CBL" "AUTO"

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Fetch current period offers

Authorizations:
PartnerAuth
path Parameters
leveragePoolId
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "totalOfferAmount": 0,
  • "totalLoanAmount": 0,
  • "rate": 0,
  • "rateChangeBps": 0,
  • "offers": [
    ]
}

Fetch next period offers

Authorizations:
PartnerAuth
path Parameters
leveragePoolId
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "totalOfferAmount": 0,
  • "totalLoanAmount": 0,
  • "rate": 0,
  • "rateChangeBps": 0,
  • "offers": [
    ]
}

getLeveragePool

Authorizations:
PartnerAuth
path Parameters
id
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "name": "string",
  • "description": "string",
  • "marginRate": 0,
  • "marginCallRate": 0,
  • "liquidationRate": 0,
  • "minIntRate": 0,
  • "maxIntRate": 0,
  • "leverageType": "TERM",
  • "marketLocationType": "US",
  • "termDuration": "string",
  • "asset": "string",
  • "minimumOffer": 0,
  • "minimumLoan": 0,
  • "feeRate": 0,
  • "liquidationFeeRate": 0,
  • "collateralAssets": [
    ],
  • "loansOutstanding": 0,
  • "currentRate": 0,
  • "currentLendRate": 0,
  • "currentBorrowRate": 0
}

Transfers

Initiate sending NMS shares to an external brokerage

Authorizations:
PartnerAuth
Request Body schema: application/json
required
uuid
required
string <uuid>

Unique id for the NMS send

amount
required
integer <int64>

Amount to send

asset
required
string (Asset name)
required
object (NmsBrokerage)

Brokerage details

Responses

Request samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "amount": 0,
  • "asset": "string",
  • "brokerage": {
    }
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "recipientAddress": "string",
  • "amount": "string",
  • "currency": "string",
  • "status": "UNKNOWN_WITHDRAW_STATUS",
  • "fee": "string",
  • "memo": "string"
}

Create a request to receive NMS shares

Authorizations:
PartnerAuth
Request Body schema: application/json
required
uuid
required
string <uuid>

Unique id for the NMS receive

asset
required
string (Asset name)
quantity
required
integer <int64>

Quantity of shares

required
object (NmsBrokerage)

Brokerage details

Responses

Request samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "asset": "string",
  • "quantity": 0,
  • "brokerage": {
    }
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "asset": "string",
  • "brokerage": {
    },
  • "status": "REQUESTED"
}

Orders

Place a new YLDS order

Authorizations:
PartnerAuth
Request Body schema: application/json
required
uuid
string <uuid>

Unique id for the order, automatically generated if not sent.

marketId
required
string

Market id

quantity
required
number > 0
direction
required
string (Direction)
Enum: "UNKNOWN_DIRECTION" "ASK" "BID"

Responses

Request samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "marketId": "string",
  • "quantity": 0,
  • "direction": "UNKNOWN_DIRECTION"
}

Proxies EP3 search_orders

Authorizations:
PartnerAuth
Request Body schema: application/json
required
pageSize
integer <int32>
pageToken
string
orderId
string
clordId
string
startTime
string <date-time>
endTime
string <date-time>
symbol
string
accounts
Array of strings
side
string (com.connamara.ep3.orders.v1beta1.Side)
Enum: "SIDE_UNDEFINED" "SIDE_BUY" "SIDE_SELL"
type
string (com.connamara.ep3.orders.v1beta1.OrderType)
Enum: "ORDER_TYPE_UNDEFINED" "ORDER_TYPE_MARKET_TO_LIMIT" "ORDER_TYPE_LIMIT" "ORDER_TYPE_STOP" "ORDER_TYPE_STOP_LIMIT"
orderStateFilter
string (com.connamara.ep3.orders.v1beta1.OrderStateFilter)
Enum: "ORDER_STATE_FILTER_UNDEFINED" "ORDER_STATE_FILTER_OPEN" "ORDER_STATE_FILTER_CLOSED" "ORDER_STATE_FILTER_NEW" "ORDER_STATE_FILTER_PARTIALLY_FILLED" "ORDER_STATE_FILTER_FILLED" "ORDER_STATE_FILTER_CANCELED" "ORDER_STATE_FILTER_REPLACED" "ORDER_STATE_FILTER_REJECTED" "ORDER_STATE_FILTER_EXPIRED" "ORDER_STATE_FILTER_PENDING_RISK"
crossId
string
hostCrossId
string
clientAccountId
string
clientParticipantId
string
parentOrderId
string
symbolSubType
string
object (com.connamara.ep3.type.v1beta1.Date)
object (com.connamara.ep3.type.v1beta1.Date)
withLastExecution
boolean

Responses

Request samples

Content type
application/json
{
  • "pageSize": 0,
  • "pageToken": "string",
  • "orderId": "string",
  • "clordId": "string",
  • "startTime": "2019-08-24T14:15:22Z",
  • "endTime": "2019-08-24T14:15:22Z",
  • "symbol": "string",
  • "accounts": [
    ],
  • "side": "SIDE_UNDEFINED",
  • "type": "ORDER_TYPE_UNDEFINED",
  • "orderStateFilter": "ORDER_STATE_FILTER_UNDEFINED",
  • "crossId": "string",
  • "hostCrossId": "string",
  • "clientAccountId": "string",
  • "clientParticipantId": "string",
  • "parentOrderId": "string",
  • "symbolSubType": "string",
  • "startTransactTradeDate": {
    },
  • "endTransactTradeDate": {
    },
  • "withLastExecution": true
}

Response samples

Content type
application/json
{
  • "order": [
    ],
  • "nextPageToken": "string",
  • "lastExecutions": [
    ]
}

Proxies EP3 search_trades

Search trades emitted from the matching engine

Authorizations:
PartnerAuth
Request Body schema: application/json
required
pageSize
integer <int32>
pageToken
string
orderId
string
tradeId
string
execId
string
startTime
string <date-time>
endTime
string <date-time>
symbol
string
accounts
Array of strings
states
Array of strings (com.connamara.ep3.trades.v1beta1.TradeState)
Items Enum: "TRADE_STATE_UNDEFINED" "TRADE_STATE_NEW" "TRADE_STATE_CLEARED" "TRADE_STATE_BUSTED" "TRADE_STATE_INFLIGHT" "TRADE_STATE_PENDING_RISK" "TRADE_STATE_PENDING_CLEARED" "TRADE_STATE_REJECTED" "TRADE_STATE_CLEARING_ACKNOWLEDGED" "TRADE_STATE_RETRY_REQUEST"
tradeLinkId
string

Responses

Request samples

Content type
application/json
{
  • "pageSize": 0,
  • "pageToken": "string",
  • "orderId": "string",
  • "tradeId": "string",
  • "execId": "string",
  • "startTime": "2019-08-24T14:15:22Z",
  • "endTime": "2019-08-24T14:15:22Z",
  • "symbol": "string",
  • "accounts": [
    ],
  • "states": [
    ],
  • "tradeLinkId": "string"
}

Response samples

Content type
application/json
{
  • "trade": [
    ],
  • "nextPageToken": "string"
}

Proxies EP3 search_executions

Authorizations:
PartnerAuth
Request Body schema: application/json
required
pageSize
integer <int32>
pageToken
string
orderId
string
clordId
string
startTime
string <date-time>
endTime
string <date-time>
symbol
string
types
Array of strings (com.connamara.ep3.orders.v1beta1.ExecutionType)
Items Enum: "EXECUTION_TYPE_NEW" "EXECUTION_TYPE_PARTIAL_FILL" "EXECUTION_TYPE_FILL" "EXECUTION_TYPE_CANCELED" "EXECUTION_TYPE_REPLACE" "EXECUTION_TYPE_REJECTED" "EXECUTION_TYPE_EXPIRED" "EXECUTION_TYPE_DONE_FOR_DAY"
newestFirst
boolean
accounts
Array of strings
clientAccountId
string
clientParticipantId
string
parentOrderId
string
symbolSubType
string
execIds
Array of strings
object (com.connamara.ep3.type.v1beta1.Date)
object (com.connamara.ep3.type.v1beta1.Date)

Responses

Request samples

Content type
application/json
{
  • "pageSize": 0,
  • "pageToken": "string",
  • "orderId": "string",
  • "clordId": "string",
  • "startTime": "2019-08-24T14:15:22Z",
  • "endTime": "2019-08-24T14:15:22Z",
  • "symbol": "string",
  • "types": [
    ],
  • "newestFirst": true,
  • "accounts": [
    ],
  • "clientAccountId": "string",
  • "clientParticipantId": "string",
  • "parentOrderId": "string",
  • "symbolSubType": "string",
  • "execIds": [
    ],
  • "startTransactTradeDate": {
    },
  • "endTransactTradeDate": {
    }
}

Response samples

Content type
application/json
{
  • "executions": [
    ],
  • "nextPageToken": "string",
  • "eof": true
}

Cancel all open orders

Authorizations:
PartnerAuth
Request Body schema: application/json
required
marketId
string (Market id)
baseAsset
string

Base asset for all markets to cancel orders on

Responses

Request samples

Content type
application/json
{
  • "marketId": "string",
  • "baseAsset": "string"
}

Get open orders

Authorizations:
PartnerAuth
query Parameters
marketId
Array of strings

Responses

Response samples

Content type
application/json
{
  • "orders": [
    ]
}

Get an order

Authorizations:
PartnerAuth
path Parameters
orderId
required
string
query Parameters
is_clord_id
boolean
Default: false

Responses

Get trades

Retrieves summarized trade data for the authenticated account as opposed to /search/trades which returns raw execution-level data. This endpoint should be used for reporting purposes.

Authorizations:
PartnerAuth
query Parameters
market_id
string
direction
string (Direction)
Enum: "UNKNOWN_DIRECTION" "ASK" "BID"
start_date
string <date-time>

Filter for trades created on or after the date. There will be no start cap if omitted.

token
string

pagination token

size
integer <int32> [ 1 .. 200 ]
Default: 20
sort
string (SortOrder)
Enum: "ASC" "DESC"

Responses

Create order subscription

Proxies EP3 CreateOrderSubscription: creates a subscription for working orders and updates.

Authorizations:
PartnerAuth

Responses

Lending

Register as a lender. Consent: https://www.figuremarkets.com/disclosures/democratized-prime-terms/

Authorizations:
PartnerAuth

Responses

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "leveragePoolIds": [
    ],
  • "status": "ACTIVE"
}

Get all offers

Authorizations:
PartnerAuth
query Parameters
page
integer <int32> >= 1
size
integer <int32> [ 1 .. 50 ]
status
Array of strings (OfferStatus)
Items Enum: "PENDING" "ACTIVE" "PENDING_CANCELLATION" "CANCELLED" "ERROR"

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "pagination": {
    }
}

Create an offer

Authorizations:
PartnerAuth
Request Body schema: application/json
required
id
required
string <uuid>
rate
required
number <= 1
amount
required
number
leveragePoolId
required
string <uuid>

Responses

Request samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "rate": 0,
  • "amount": 0,
  • "leveragePoolId": "3229a80e-6400-4afe-a15e-c4b4652ff574"
}

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "rate": 0,
  • "amt": 0,
  • "status": "PENDING",
  • "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
  • "leveragePoolId": "3229a80e-6400-4afe-a15e-c4b4652ff574"
}

Exit an offer

Authorizations:
PartnerAuth
path Parameters
offerId
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "initialRate": 0,
  • "rate": 0,
  • "initialAmt": 0,
  • "amt": 0,
  • "interestAmt": 0,
  • "status": "PENDING",
  • "leveragePoolId": "3229a80e-6400-4afe-a15e-c4b4652ff574",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "outstandingInterestAmt": 0,
  • "utilAmt": 0,
  • "utilRate": 0,
  • "asset": "string"
}

Fetch offer by id

Authorizations:
PartnerAuth
path Parameters
offerId
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "initialRate": 0,
  • "rate": 0,
  • "initialAmt": 0,
  • "amt": 0,
  • "interestAmt": 0,
  • "status": "PENDING",
  • "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
  • "accountAddress": "string",
  • "leveragePoolId": "3229a80e-6400-4afe-a15e-c4b4652ff574",
  • "exitRequested": "2019-08-24T14:15:22Z",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "utilAmt": 0,
  • "utilRate": 0
}

Get paginated earnings history

Authorizations:
PartnerAuth
query Parameters
page
integer <int32>
Default: 1
size
integer <int32> [ 1 .. 50 ]
Default: 50
leverage_pool_id
required
string <uuid>
period
string (PeriodSpan)
Enum: "HOUR" "DAY" "WEEK" "MONTH" "YEAR"

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "pagination": {
    }
}

Get 24 hour and lifetime earnings in the given pool

Authorizations:
PartnerAuth
query Parameters
leverage_pool_id
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "totalEarnings": 0,
  • "twentyFourHourEarnings": 0,
  • "averageEarningsRate": 0
}

Groups

Get vote transaction payload for a proposal

Authorizations:
PartnerAuth
query Parameters
proposal_id
required
integer <int64>
option
required
string (VoteOption)
Enum: "YES" "NO" "ABSTAIN" "VETO"
exec
string (Exec)
Enum: "EXEC_UNSPECIFIED" "EXEC_TRY"
justification
string
voter_address
required
string (The blockchain address of the account voting on this proposal)

Responses

Response samples

Content type
application/json
{
  • "txBody": {
    },
  • "replacementData": {
    },
  • "feeGranterAddress": "string"
}

Get proposals for the authenticated partner's group policy

Authorizations:
PartnerAuth
query Parameters
offset
integer <int64> >= 0
Default: 0
limit
integer <int64> [ 1 .. 100 ]
Default: 10
status
string (Optional filter for proposal statuses)

Responses

Response samples

Content type
application/json
{
  • "results": [
    ],
  • "pageResponse": {
    }
}